Bug 1277463 - Preparing upgrade to F23 fails
Preparing upgrade to F23 fails
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 07:03 EST by Petr Bartos
Modified: 2016-07-19 15:21 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:21:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Bartos 2015-11-03 07:03:12 EST
Running of

dnf system-upgrade download --releasever=23

fails with

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 99, in __exit__
    self.close()
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 297, in close
    self._store_persistent_data()
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 183, in _store_persistent_data
    self._tempfile_persistor.save()
  File "/usr/lib/python2.7/site-packages/dnf/persistor.py", line 485, in save
    data = set(self._get_json_db(self.db_path))
  File "/usr/lib/python2.7/site-packages/dnf/persistor.py", line 417, in _get_json_db
    default = json.loads(content)
  File "/usr/lib/python2.7/json/__init__.py", line 338, in loads
    return _default_decoder.decode(s)
  File "/usr/lib/python2.7/json/decoder.py", line 366, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/lib/python2.7/json/decoder.py", line 382, in raw_decode
    obj, end = self.scan_once(s, idx)
ValueError: Expecting object: line 1 column 110096 (char 110095)
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-03 08:26:50 EST
This is not the system upgrade, but dnf itself (TempfilePersistor class). Is it possible that you run out of disk space on /var/tmp?
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-03 08:31:09 EST
Is this repeatable? Can you attach the contents of the most recent /var/tmp/dnf-*-*/ directory?
Comment 3 Petr Bartos 2015-11-03 09:57:00 EST
Yes, it was repeatable, however no /var/tmp/dnf-*-*/ directory appeared. And it was probably due to disk space. I had less than 5GB free, upgrade downloaded 2,7GB packages, so there was around 2GB to perform the checks. Once I managed to free up 1GB more, everything passed.

However there is one more strange problem. Dnf froze (without any network, io or cpu activity) after downloading last package to upgrade. I had to kill the dnf process and run it again. Then the process continued (since all packages were already downloaded).

But now the upgrade is running so I won't be able to repeat the problem.
Comment 4 Michal Luscon 2015-11-09 07:33:37 EST
Please attach relevant dnf.rpm.log and dnf.log.
Comment 5 Fedora Admin XMLRPC Client 2016-07-08 05:34:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2016-07-19 15:21:41 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.